import "../lib.scss";
export interface CanManageTargets {
    save(target: string): void;
    load(target: string): void;
    delete(target: string): void;
    getState(): Promise<TargetManagerState>;
    storeState(tms: TargetManagerState): void;
}
export declare type TargetManagerState = {
    targets: string[];
    selected: string;
};
export declare abstract class TargetManagerBase implements CanManageTargets {
    state: TargetManagerState;
    initState(): Promise<void>;
    update(): void;
    remove(target: string, force?: boolean): boolean;
    add(target: string): void;
    select(target: string): void;
    abstract storeState(tms: TargetManagerState): void;
    abstract getState(): Promise<TargetManagerState>;
    abstract save(target: string): void;
    abstract load(target: string): void;
    abstract delete(target: string): void;
}
export declare class TargetManager extends TargetManagerBase {
    storeState(tms: TargetManagerState): void;
    getState(): Promise<any>;
    save(target: string): void;
    load(target: string): void;
    delete(target: string): void;
}
declare const _default: import("vue").DefineComponent<{
    colorbuttons: {
        type: BooleanConstructor;
        default: boolean;
    };
    targetmanager: {
        type: typeof TargetManager;
        default: () => TargetManager;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    colorbuttons?: unknown;
    targetmanager?: unknown;
} & {
    targetmanager: TargetManager;
    colorbuttons: boolean;
} & {}>, {
    targetmanager: TargetManager;
    colorbuttons: boolean;
}>;
export default _default;
